# Mini réseau IoT
<img src="./Images/iot-logo.png" align="right" width="50">
 Projet Universitaire, ayant pour but de créer un mini réseaux d'objets connectées.

<img src="./Images/iot-logo.png" align="right" width="50">

## Sommaire

- [Matériels utilisés](#matériels-utilisés)


## Matériels utilisés

- 1 RPI3 : Ce mini ordinateur a été utilisé comme serveur central pour le projet. Il est équipé d’un processeur quad-core Cortex-A53 à 1,2 GHz, 1 Go de mémoire RAM et d’un slot pour carte SD. Il a été utilisé pour installer un serveur web, une base de données et un serveur MQTT. 
- 1 Alimentation : Cette alimentation a été utilisée pour fournir de l’énergie au Raspberry PI et aux autres composants électroniques. 
- 1 Carte SD 32 Go : Cette carte SD a été utilisée pour stocker l’OS et les données du projet. 
- 2 ESP32 Wemos D1 : Ces modules de communication sans fil ont été utilisés pour connecter les capteurs et les actionneurs au Raspberry PI. Ils disposent d’un processeur 32 bits, d’une mémoire flash intégrée et d’un module WiFi intégré. L’un des ESP a été programmé en utilisant microPython, l’autre en utilisant l’IDE Arduino. 
- 1 Sachet de fil de connexion : Ces fils ont été utilisés pour connecter les différents composants électroniques entre eux. 
- 3 Câbles USB : Ces câbles ont été utilisés pour alimenter et configurer les ESP32 ainsi qu’alimenter le RPI. 
- 1 Capteur BME680 : Ce capteur a été utilisé pour mesurer la température, l’humidité, la pression atmosphérique et la qualité de l’air. Il se connecte via liaison I2C et a une précision de ±1 % pour la température et l’humidité et de ±1 hPa pour la pression atmosphérique. - 1 Servo-moteur : Ce moteur a été utilisé pour être actionné. Il est capable de fonctionner dans une plage de tension de 4,8 à 6 V et peut être commandé avec une précision de 0,1 degré. 
- 1 écran SSD1306 + 1 écran LCD : Ces écrans ont été utilisés pour afficher des données captées par les capteurs et des informations supplémentaires. L’écran OLED SSD1306 est un mini écran OLED monochrome via liaison I2C, tandis que l’écran LCD est un écran à cristaux liquides de 2 lignes x 16 caractères et se faisant par liaison on série. 
- 2 Plaques d’essais : Ces plaques d’essais ont été utilisées pour connecter les composants électroniques pour les tests et pour l’assemblage de la maquette. 
- 2 Résistances : Ces résistances ont été utilisées pour protéger les composants électroniques contre les surintensités.
- 1 LED : Cette LED a été utilisée pour indiquer l’état de certaines fonctions.

## Mise en œuvre des matériels

### Maquette
[[./Images/maquette.png]][4.5]

